#
# spec file for package python-typing
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-typing
Version:        3.6.1
Release:        1.1
Summary:        Type Hints for Python
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://docs.python.org/3.5/library/typing.html
Source:         https://pypi.io/packages/source/t/typing/typing-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/python/typing/%{version}/src/mod_generics_cache.py
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
# Test requirements
%if %{with tests} && 0%{?suse_version} > 1320
BuildRequires:  python3-testsuite
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Backport of the standard library typing module for Python versions older than 3.5.

%prep
%setup -q -n typing-%{version}
ln -s python2 python_%{python2_bin_suffix}
ln -s src python_%{python3_bin_suffix}
cp %{SOURCE1} python2
cp %{SOURCE1} src

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%if %{with tests}
%check
%python_expand $python python_%{$python_bin_suffix}/test_typing.py
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Sun Apr 23 2017 toddrme2178@gmail.com
- Fix license formatting
* Tue Apr 18 2017 toddrme2178@gmail.com
- The last update broke packaging due to dysfunctional testing.
  Provide the missing module from upstream.
* Tue Apr 18 2017 toddrme2178@gmail.com
- Update to 3.6.1
  * Uses python 3.6 version.
- Implement single-spec version
  Note: Some packages require this even on python 3.6.x
* Mon Aug  1 2016 michael@stroeder.com
- initial packaging of release 3.5.2.2
